<div>
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">รูปแบบผลิตภัณฑ์ - Non-Credit อื่นๆ</a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดเกี่ยวกับรูปแบบผลิตภัณฑ์ตามหัวข้อด้านล่าง
      </p>
    </div>
    <div class="p-2 flex-shrink-1 bd-highlight d-flex">
      <div *ngIf="(validate === true || validate === null) && userRole === 'PO'">
        <button type="button" class="btn btn-primary saveDraft" (click)="saveDraftData()">
          บันทึกร่างใบคำขอ
        </button>
      </div>

      <!-- <div *ngIf="userRole === 'PO'">
        <button
          type="button"
          class="btn btn-primary sandwork"
          (click)="sandwork()"
        >
          ส่งงาน
        </button>
      </div> -->
    </div>
  </div>
  <div class="alert alert-success" role="alert" [ngStyle]="{ display: saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
</div>
<br>
<!-- -------------------------------------------------next button ---------------------------------------- -->
<!-- function ลูกศรย้อนกลับ / หน้าถัดไป -->
<div>
  <div class="row">
    <div class="col-md-12">
      <div (click)="next_step('back')" class="button-next pull-left" *ngIf="checkLocal !== '0' && checkLocal !== 'A'">
        &lt; ย้อนกลับ
      </div>
      <div (click)="next_step('next')" class="button-next pull-right"
        [ngClass]="{'button-next-non': pageLast === 'last'}">
        รูปแบบผลิตภัณฑ์หน้าถัดไป &gt;
      </div>
      <br />
    </div>
  </div>
</div>

<br>

<div id="accordion">
  <div class="card">
    <div class="card-header" id="headingOne">
      <div class="d-flex" style="width: 100%; height: 30%">
        <div class="btn text-header-panel">
          รายละเอียดที่ต้องการนำเสนอในครั้งนี้
        </div>
        <a *ngIf="showData === true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลเพิ่มเติม
        </a>

        <a *ngIf="showData !== true" class="btn btn-link" data-toggle="collapse" data-target="#collapseOne"
          aria-expanded="true" aria-controls="collapseOne" (click)="show()">
          แสดงผลน้อยลง
        </a>
      </div>
    </div>

    <div id="collapseOne" class="collapse show" aria-labelledby="headingOne">
      <div class="card-body">
        <app-other-non-creadit [template_manage]="{ role: null, validate: null, caaStatus: 'show' }">
        </app-other-non-creadit>
        <!-- ----------------------------------------- อัปโหลดเอกสาร -------------------------------------------------- -->
        <div *ngIf="(validate === true || validate === null) && userRole === 'PO'">
          <div class="typeofcollateral">
            <p class="head-detal">อัปโหลดเอกสาร</p>
            <div class="dropzone">
              <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
                (change)="onSelectFile($event)" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
                      application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
                      application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
                      .jpg,.png" />

              <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px" />
              <a style="font-size: 18px; color: #00a6e6"
                for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
            </div>
          </div>
          <br />
          <div class="table_files">
            <table mat-table [dataSource]="dataSource_file">
              <!-- Position Column -->
              <ng-container matColumnDef="fileName">
                <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                <td mat-cell *matCellDef="let element">
                  {{ element.fileName }}
                </td>
              </ng-container>

              <!-- Name Column -->
              <ng-container matColumnDef="fileSize">
                <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                <td mat-cell *matCellDef="let element">
                  {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                </td>
              </ng-container>

              <!-- Name Column -->
              <ng-container matColumnDef="delete">
                <th mat-header-cell *matHeaderCellDef></th>
                <td mat-cell *matCellDef="let element; let index = index">
                  <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                    (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                  <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                    (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                  <a class="pipe">|</a>
                  <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
                </td>
              </ng-container>

              <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
              <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
            </table>
          </div>
          <br />
          <br />
          <br />
        </div>
        <!-- =============================================================== -->
      </div>
    </div>
  </div>
  <!------------------------------------------------- Read Only ------------------------------------------------>
  <div *ngFor="let present of listSummaryStep4_6; let in = index">
    <div class="card">
      <div class="card-header" id="headingTwo_{{ in }}">
        <div class="d-flex" style="width: 100%; height: 30%">
          <div class="btn text-header-panel">
            รายละเอียดที่นำเสนอในครั้งก่อน ({{ present.lastReviewDate }})
          </div>
          <a *ngIf="showsearch[in].value === true" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{ in }}" aria-expanded="false" attr.aria-controls="collapseTwo_{{ in }}"
            (click)="getSummarNew(in, present.requestId)" (click)="showSearch(in)">
            แสดงผลเพิ่มเติม
          </a>
          <a *ngIf="showsearch[in].value === false" class="btn btn-link" data-toggle="collapse"
            attr.data-target="#collapseTwo_{{ in }}" aria-expanded="false" attr.aria-controls="collapseTwo_{{ in }}"
            (click)="getSummarNew(in, present.requestId)" (click)="showSearch(in)">
            แสดงผลน้อยลง
          </a>
        </div>
      </div>

      <div id="collapseTwo_{{ in }}" class="collapse" attr.aria-labelledby="headingTwo_{{ in }}"
        data-parent="#accordion">
        <div class="card-body">
          <div style="padding-left: 8px;">
            <!-- ----------------------------------------- ประเภทผลิตภัณฑ์ -------------------------------------------------- -->
            <div class="row">
              <div class="col-12">
                <p class="head-detal">ประเภทผลิตภัณฑ์</p>
              </div>
              <div
                style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                  placeholder="ระบุรายละเอียดประเภทผลิตภัณฑ์"
                  style="min-height:130px;background-color:#e9ecef;border:0;" [(ngModel)]="stepThreeOther.productText"
                  disabled></textarea>
                <div style="height: auto;position:relative;background-color:#e9ecef;">
                  <div class="col-12">
                    <div>
                      <div class="input_upload" style="color: #999999;min-height:130px">
                        <hr style="margin: 0px;" />
                        {{ image1.length }} ไฟล์ภาพที่แนบมา

                        <div class="image_row">
                          <div class="row image_col" style="  padding-left: 15px;
                    padding-bottom: 15px;">
                            <div class="unnon_image_out" *ngFor="let item of image1; index as i">
                              <div class="unnon_image">
                                <img [src]="image1[i]" class="photo" (click)="image_click(1, i)" />
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>


                    </div>
                  </div>
                </div>
              </div>
            </div>
            <br />

            <!-- ----------------------------------------- คู่แข่ง (ผลิตภัณฑ์และ Pricing) -------------------------------------------------- -->
            <div class="row">
              <div class="col-12">
                <p class="head-detal">กลุ่มเป้าหมาย</p>
              </div>
              <div
                style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                  placeholder="ระบุรายละเอียดกลุ่มเป้าหมาย" style="min-height:130px;background-color:#e9ecef;border:0;"
                  [(ngModel)]="stepThreeOther.targetText" disabled></textarea>
                <div style="height: auto;position:relative;background-color:#e9ecef;">
                  <div class="col-12">
                    <div>
                      <div class="input_upload" style="color: #999999;min-height:130px">
                        <hr style="margin: 0px;" />
                        {{ image2.length }} ไฟล์ภาพที่แนบมา

                        <div class="image_row">
                          <div class="row image_col" style="  padding-left: 15px;
                    padding-bottom: 15px;">
                            <div class="unnon_image_out" *ngFor="let item of image2; index as i">
                              <div class="unnon_image">
                                <img [src]="image2[i]" class="photo" (click)="image_click(2, i)" />
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>


                    </div>
                  </div>
                </div>
              </div>
            </div>
            <br />

            <!-- ----------------------------------------- คุณสมบัติลูกค้า -------------------------------------------------- -->
            <div class="row">
              <div class="col-12">
                <p class="head-detal">คุณสมบัติลูกค้า</p>
              </div>
              <div
                style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                  placeholder="ระบุรายละเอียดคุณสมบัติลูกค้า"
                  style="min-height:130px;background-color:#e9ecef;border:0;" [(ngModel)]="stepThreeOther.propertyText"
                  disabled></textarea>
                <div style="height: auto;position:relative;background-color:#e9ecef;">
                  <div class="col-12">
                    <div>
                      <div class="input_upload" style="color: #999999;min-height:130px">
                        <hr style="margin: 0px;" />
                        {{ image3.length }} ไฟล์ภาพที่แนบมา

                        <div class="image_row">
                          <div class="row image_col" style="  padding-left: 15px;
                    padding-bottom: 15px;">
                            <div class="unnon_image_out" *ngFor="let item of image3; index as i">
                              <div class="unnon_image">
                                <img [src]="image3[i]" class="photo" (click)="image_click(3, i)" />
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>


                    </div>
                  </div>
                </div>
              </div>
            </div>
            <br />

            <!-- ----------------------------------------- ประเด็นพิจารณาอื่นๆ -------------------------------------------------- -->
            <div class="row">
              <div class="col-12">
                <p class="head-detal">ประเด็นพิจารณาอื่นๆ</p>
              </div>
              <div
                style="height: auto;width:97%;background-color:#e9ecef;margin:auto;border:1px solid #e1e3e6;border-radius:4px">
                <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                  placeholder="ระบุรายละเอียดประเด็นพิจารณาอื่นๆ"
                  style="min-height:130px;background-color:#e9ecef;border:0;" [(ngModel)]="stepThreeOther.otherText"
                  disabled></textarea>
                <div style="height: auto;position:relative;background-color:#e9ecef;">
                  <div class="col-12">
                    <div>
                      <div class="input_upload" style="color: #999999;min-height:130px">
                        <hr style="margin: 0px;" />
                        {{ image4.length }} ไฟล์ภาพที่แนบมา

                        <div class="image_row">
                          <div class="row image_col" style="  padding-left: 15px;
                    padding-bottom: 15px;">
                            <div class="unnon_image_out" *ngFor="let item of image4; index as i">
                              <div class="unnon_image">
                                <img [src]="image4[i]" class="photo" (click)="image_click(4, i)" />
                              </div>
                            </div>
                          </div>
                        </div>
                      </div>


                    </div>
                  </div>
                </div>
              </div>
            </div>
            <br />


            <!-- ----------------------------------------- ประเด็นพิจารณาอื่นๆ -------------------------------------------------- -->
            <div class="row">
              <div class="col-12">
                <p class="head-detal">ประเด็นพิจารณาอื่นๆ</p>
              </div>
              <div class="col-12">
                <div class="textarea-container">
                  <div class="input_upload">
                    <hr style="margin: 0px;" />
                    {{ image4.length }} ไฟล์ภาพที่แนบมา

                    <div class="image_row">
                      <div class="row image_col">
                        <div class="unnon_image_out" *ngFor="let item of image4; index as i">
                          <div class="unnon_image">
                            <img [src]="image4[i]" class="photo" (click)="image_click(4, i)" />
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                  <textarea class="form-control" id="exampleFormControlTextarea1" rows="enter"
                    placeholder="ระบุรายละเอียดประเด็นพิจารณาอื่นๆ" style="height: 261px;"
                    (ngModelChange)="changeSaveDraft()" [(ngModel)]="stepThreeOther.otherText" disabled></textarea>
                </div>
              </div>
            </div>
            <br />


            <!-- ===================================================download file============================================= -->
            <div>
              <label style="
                  color: #999999;
                  font-family: Prompt;
                  font-size: 18px;
                  font-weight: 500;
                  letter-spacing: 0;
                  line-height: 28px;
                ">ไฟล์เอกสารเพิ่มเติม</label>
              <br />
              <div class="row">
                <div class="table_files">
                  <table mat-table [dataSource]="dataSource_file_summary">
                    <!-- Position Column -->
                    <ng-container matColumnDef="fileName">
                      <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
                      <td mat-cell *matCellDef="let element">
                        {{ element.fileName }}
                      </td>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="fileSize">
                      <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
                      <td mat-cell *matCellDef="let element">
                        {{ (element.fileSize / 1024).toFixed(2) + " KB" }}
                      </td>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="download">
                      <th mat-header-cell *matHeaderCellDef></th>
                      <td mat-cell *matCellDef="let element; let index = index">
                        <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                      </td>
                    </ng-container>

                    <tr mat-header-row *matHeaderRowDef="displayedColumns_file_summary"></tr>
                    <tr mat-row *matRowDef="
                        let row;
                        columns: displayedColumns_file_summary
                      "></tr>
                  </table>
                </div>
              </div>
            </div>
            <!-- ======================================================================== -->
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<!--------------------------------------------------- The Modal -------------------------------------------------------- -->
<div id="myModal3_55" class="modal">
  <span class="close cursor" (click)="closeModal()"><img src="../../../../../assets/img/close-modal.png" /></span>
  <div style="justify-content: center">
    <div class="modal-content" *ngIf="showModel">
      <img src="{{ modalImage[modalmainImageIndex] }}" alt="{{ modalImagedetail[modalmainImageIndex].name }}"
        title="{{ modalImagedetail[modalmainImageIndex].name }}" class="modal-image" />
    </div>
    <br />
    <div>
      <div class="d-flex modal-image-detail" *ngIf="showModel">
        <div *ngFor="let item of modalImage; index as i">
          <img src="{{ modalImage[i] }}" alt="{{ modalImagedetail[i].name }}" title="{{ modalImagedetail[i].name }}"
            [ngClass]="{
              'modal-image-gallery': i !== modalmainImageIndex,
              'modal-image-gallery-select': i === modalmainImageIndex
            }" (click)="modalmainImageIndex = i" />
        </div>
      </div>
    </div>
  </div>
  <br /><br />
</div>

<!-- <div class="row" [ngStyle]="{'display': pageLast !== 'last' ? 'none' : '' }">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next2" type="button" (click)="next_step('next')">
      ถัดไป
    </button>
    <br><br>
  </div>
</div> -->

<!-- ----------------------------------------- next button validate = true-------------------------------------------------- -->
<div style="margin-left: 10px;" *ngIf="(validate === null || validate === true)">
  <div [ngStyle]="{'display': pageLast === 'last' ? '' : 'none' }">
    <div class="row">
      <div class="col-12">
        <button class="btn btn-outline-secondary button-next2" type="button" (click)="next_step('next')">ถัดไป</button>
      </div>
    </div>
    <br><br>
  </div>
</div>


<!-- ----------------------------------------- viewNext validate = false -------------------------------------------------- -->
<div style="margin-left: 10px;" *ngIf="validate === false">
  <div class="row" [ngStyle]="{'display': pageLast === 'last' ? '' : 'none' }">
    <div class="col-12">
      <button class="btn btn-outline-secondary button-next2" type="button" (click)="viewNext()">ถัดไป</button>
      <br><br>
    </div>
  </div>
</div>